#
# spec file for package girl
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           girl
Version:        10.0.0
Release:        bp156.3.6
Summary:        Find live radio programs on radio broadcasters on the Internet
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Sound/Utilities
URL:            https://people.gnome.org/~ole/girl/
Source:         http://download.gnome.org/sources/girl/10.0/%{name}-%{version}.tar.xz
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0) >= 2.40
BuildRequires:  pkgconfig(gnome-vfs-2.0) >= 2.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.38.0
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.12.0
BuildRequires:  pkgconfig(gstreamer-player-1.0) >= 1.12.0
BuildRequires:  pkgconfig(gstreamer-tag-1.0) >= 1.12.0
BuildRequires:  pkgconfig(gstreamer-video-1.0) >= 1.12.0
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.0
BuildRequires:  pkgconfig(libgnome-2.0) >= 2.0
BuildRequires:  pkgconfig(libgnomeui-2.0) >= 2.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.0
Recommends:     %{name}-lang

%description
GNOME Internet Radio Locator (GIRL) is a program that allows the user
to locate live radio programs by broadcasters on the Internet.

GIRL is developed on the GNOME platform and it requires gstreamer for
playback.

%lang_package

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install %{?_smp_mflags}
%find_lang %{name} %{?no_lang_C} girl.lang
%fdupes %{buildroot}%{_datadir}/%{name}/
%fdupes %{buildroot}%{_datadir}/help/

%post
%icon_theme_cache_post
%desktop_database_post

%postun
%icon_theme_cache_postun
%desktop_database_postun

%files
%license COPYING
%doc AUTHORS ChangeLog README THANKS NEWS LETTER
%{_bindir}/girl
%{_datadir}/girl/
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/icons/hicolor/1024x1024
%dir %{_datadir}/icons/hicolor/1024x1024/apps
%{_datadir}/icons/hicolor/*/apps/*.png
%dir %{_datadir}/appdata
%{_datadir}/appdata/*.xml
%{_mandir}/man1/girl.1%{?ext_man}
%{_datadir}/help/C/girl/

%files lang -f %{name}.lang

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Fri Jun  9 2017 jengelh@inai.de
- Remove filler wording from description.
* Tue May 30 2017 dimstar@opensuse.org
- Update URL and description to upstream provided information
  (boo#1041811#c2).
* Sat May 27 2017 zaitor@opensuse.org
- Update to version 10.0.0 (boo#1041811):
  + configure.ac: Bump version and add gstreamer pkgconfig
    dependencies.
  + src/Makefile.am: Add girl-player.[ch].
  + src/girl-gui.c: Add girl-player functions.
  + src/girl-player.c: Add gst-player functions.
  + src/girl-player.h: Add gst-player functions.
  + src/girl-station.c: Add girl_player_main function call.
  + src/girl.c: Add GstPlayer *player global.
  + src/girl.xml: Add Burst Radio (burstradio.org.uk) and bump
    version.
- Changes from version 9.9.9:
  + GNOME3: Update info on new gnome-internet-radio-locator
    repository.
  + configure.ac: Bump version and gnome-internet-radio-locator
    switch.
  + src/Makefile.am: Remove obsolete build targets.
  + src/girl.xml: Add Radio Free Brooklyn broadcasting in Joint
    Stereo.
  + src/girl.xml: Add WFUV broadcasting in Joint Stereo.
- Changes from version 9.9.8:
  + GNOME3: Update information about GTK+ 3.0 effort.
  + Makefile.am: Remove config.rpath from repository.
  + configure.ac: Update PKG_CHECK_MODULES functions.
  + data/girl.desktop.in: Update desktop file.
  + data/timezone*: Remove time zone world map graphics.
  + girl.spec.in: Update SPEC file for RPM package.
  + po/POTFILES.in: Update i18n language file.
  + src/Makefile.am: Remove GNOME3 executable.
- Changes from version 9.9.7:
  + TODO: Update TODO list with short term and long term items.
- Changes from version 9.9.6:
  + src/GIRL-PLAYER.c: Add audio playback code based on gst-player.
  + src/GIRL.c: Add audio playback code based on gst-player.
  + Updated translations.
- Changes from version 9.9.5:
  + Fix seriously broken build after gst-player experiment.
- Changes from version 9.9.4:
  + Remove broken dependency on gst-player from gstreamer.
- Changes from version 9.9.3:
  + src/girl.xml: Add NRK P1 Sørlandet (nrk.no).
- Changes from version 9.9.2:
  + src/girl.xml: Add KTSW (http://ktsw.txstate.edu/).
  + src/girl.xml: Add Third Rock Radio (nasa.gov).
  + Updated translations.
- Add pkgconfig(gobject-2.0), pkgconfig(gstreamer-player-1.0) and
  pkgconfig(gstreamer-tag-1.0) BuildRequires: New dependencies.
- Version gstreamer BuildRequires 1.12.0 following reality, not
  what upstream claims.
* Mon Mar 20 2017 dimstar@opensuse.org
- Update to version 9.9.1:
  + Add KCED (http://www.centralia.edu/kced/).
* Tue Feb  7 2017 dimstar@opensuse.org
- Update to version 9.8.0:
  + Add Pirate FM (Cornwall, United Kingdom).
  + Update description in AppStream metadata file.
  + Updated translations.
* Thu Jan 19 2017 dimstar@opensuse.org
- Update to version 9.7.1:
  + Various build fixes.
- Changes from version 9.7.0:
  + GStreamer 1.0 Port (bgo#777397).
  + Updated translations.
- Drop upstream merged patches:
  + 0001-Port-to-GStreamer-1.0.patch
  + 0002-Add-NULL-sentinel-for-g_strconcat.patch
  + 0003-Fix-prototype-of-functions.patch
- Drop gnome-common BuildRequires and call to gnome-autogen.sh: we
  no longer carry patches touching the build system.
* Wed Dec 14 2016 dimstar@opensuse.org
- Update to version 9.6.1:
  + Remove player frontend on new search result.
- Changes from versio 9.6.0:
  + New gstreamer player frontend based on gstplayer.
  + Updated documentation.
- Changes from version 9.5.2:
  + Add BBC Radio 5 Live.
- Changes from version 9.5.1:
  + bgo#770188: Plural forms missing.
  + bgo#770473: Add paroles.fm.
- Changes from version 9.5.0:
  + Add radio stations: Add NRK Jazz, NRK Klassisk and NRK P13.
- Changes from version 9.4.0:
  + Add radio stations: Blur FM, KSLU, Radio K and CIUT.
  + Updated translations.
- Drop totem requires: no longer needed since the introduction of
  the gstplayer based frontend.
- Add pkgconfig(glib-2.0) BuildRequires so it can properly be
  versioned.
- Add 0001-Port-to-GStreamer-1.0.patch: Port right away to
  GStreamer 1.0; we really don't want any new 0.10 dependencies.
- Add pkgconfig(gstreamer-1.0) and pkgconfig(gstreamer-video-1.0)
  BuildRequires: new dependencies after the GSreamer 1.0 port.
- Drop girl-no-return-in-nonvoid.patch: applied upstream.
- Add gnome-common BuildRequires and call gnome-autoge.sh, as the
  patch above touches the build system.
- Add 0002-Add-NULL-sentinel-for-g_strconcat.patch and
  0003-Fix-prototype-of-functions.patch: Fix compiler warnings that
  are raised to errors by openSUSE's build root policy checker.
* Tue Mar  8 2016 dimstar@opensuse.org
- Update to version 8.3.16:
  + Updated documentation.
  + Updated translations.
* Thu Feb 18 2016 dimstar@opensuse.org
- Update to version 8.0.1:
  + Add Bergen Student Radio.
- Changes from version 8.0.0:
  + Add WNYC (New York City, NY).
  + New default station: New York Public Radio (WNYC).
* Sat Jan  9 2016 dimstar@opensuse.org
- Update to version 7.0.0:
  + Add new icons.
  + Added stations: Narvik Studentradio, Radio Campus & City
- Changes from version 6.1.0:
  + Add new <name> and <summary> tags to appdata.xml.
  + Update FSF address (bgo#753044).
- Changes from version 6.0.0:
  + Added stations: Add RÚV, Add Radio AF.
  + Updated translations.
- Drop pkgconfig(libgnomecanvas-2.0) BuildRequires: no longer
  needed since version 5.0.0.
- Rebase girl-no-return-in-nonvoid.patch.
* Sun May 10 2015 zaitor@opensuse.org
- Update to version 5.0.0:
  + Added stations: Radio Universidad, WUMR and Stockholm College
    Radio.
* Sun May  3 2015 zaitor@opensuse.org
- Update to version 4.0.0:
  + Added stations: DCUfm, Radio Revolt, UWSRadio,
    Universitetsradioen.
  + Updated translations.
* Wed Apr 29 2015 zaitor@opensuse.org
- Update to version 3.1.0:
  + Added stations: RÚV and Radio AF.
  + Updated translations.
- Changes from version 3.0.0:
  + Support Mac OS X build.
  + Added stations: KTUH and Radio Eco.
- Changes from version 2.0.0:
  + Added stations: UCT Radio, NRK P1, NRK P2, NRK P3 and NRK
    Urørt.
  + Updated translations.
- Add itstool BuildRequries: New dependency.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 1.9.0:
  + Added stations: CHUO and CFRC.
- Changes from version 1.8.0:
  + New documentation.
- Changes from version 1.7.0:
  + Added station: radiOrakel.
  + Updated translations.
* Mon Mar  9 2015 dimstar@opensuse.org
- Add girl-no-return-in-nonvoid.patch: Fix build by changing the
  function declaration of girl_archive_new.
* Sat Mar  7 2015 dimstar@opensuse.org
- Update to version 1.6.0:
  + Added stations: KXSC, KASC, WPTS and WTBU.
* Sun Mar  1 2015 dimstar@opensuse.org
- Update to version 1.5.0:
  + Added Stations:
  - Add Radio NRJ Bern (bgo#745087).
  - Add SoundFM (soundfm.ca)Stations.
  + Updated translations.
* Sun Feb 22 2015 dimstar@opensuse.org
- Update to version 1.4.0:
  + Added new stations.
  + Updated translations.
* Sat Feb 14 2015 zaitor@opensuse.org
- Update to version 1.3.0:
  + Updated translations.
* Thu Feb  5 2015 dimstar@opensuse.org
- Update to version 1.2.0:
  + Revamp build system.
  + Updated translations.
- Drop girl-revamp-build-system.patch:: fixed upstream.
- Drop libtool BuildRequires and call to autoreconf, as we no
  longer carry patches touching the build system.
* Thu Jan 22 2015 dimstar@opensuse.org
- Add girl-revamp-build-system.patch: Revamp the build system to be
  more in line what autoconf would expect. As a side effefct, this
  fixes building with -Wl,--as-needed (so remove that hack).
- Add libtool BuildRequires and call to autoreconf, as above patch
  touches the build system.
* Thu Jan 22 2015 dimstar@opensuse.org
- Update to version 1.1.0:
  + Updated translations.
* Sun Dec 28 2014 badshah400@gmail.com
- Initial package, version 1.0.0.
